## com.thingmagic
Class ReadPlan

    java.lang.Object
      com.thingmagic.ReadPlan

Direct Known Subclasses:
  MultiReadPlan, SimpleReadPlan

    public abstract class ReadPlan

extends java.lang.Object

An instance of class ReadPlan represents an ordering of search parameters - groups of antennas and protocols to be checked in a certain order and with a certain priority. Each read plan has a weight, which is used to determine how much time to spend on one plan versus another when several are combined in a MultiReadPlan.

Field Summary
`boolean` `enableAutonomousRead`
`int` `weight`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### weight

    public int weight

### enableAutonomousRead

    public boolean enableAutonomousRead